package test;


import javax.enterprise.context.ApplicationScoped;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;


@ApplicationScoped
public class EventLog {
    public void add(String event) {
        events.add(event);
    }

    public List<String> get() {
        return Collections.unmodifiableList(events);
    }

    public void clear() {
        events.clear();
    }

    private final List<String> events = new CopyOnWriteArrayList<String>();
}
